#========================================================================================
# package      DE_EPAGES::Saferpay2::UI::Shop
# base         DE_EPAGES::Order::UI::Shop
# state        public
#----------------------------------------------------------------------------------------
# description  UI Controller for shop
#========================================================================================
package DE_EPAGES::Saferpay2::UI::Shop;
use base DE_EPAGES::Order::UI::Shop;

use DE_EPAGES::Saferpay2::API::Constants qw (
    INTERNAL_CARTRIDGE_NAME
);

use strict;



#========================================================================================
# function     TransactionPaymentName
# state        private
#----------------------------------------------------------------------------------------
# syntax       $Name = $Handler->TransactionPaymentName();
#----------------------------------------------------------------------------------------
# description  Name of PaymentType for search/view transactions.
#----------------------------------------------------------------------------------------
# return       $Name | name of payment type | string
#========================================================================================
sub TransactionPaymentName {
    return INTERNAL_CARTRIDGE_NAME;
}



#========================================================================================
# function     PaymentBacklinkSaferpay2
# state        public
#----------------------------------------------------------------------------------------
# syntax       PaymentBacklinkSaferpay2( $Servlet );
#----------------------------------------------------------------------------------------
# description  TODO: Remove when not used!
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | DE_EPAGES::Presentation::Servlet::BasePermission
#========================================================================================
sub PaymentBacklinkSaferpay2 {
    my $self = shift;
    my ($Servlet) = @_;

    # compare with other cartridges to find out what is needed here:

    # - BlockMonitor
    # - Log
    # - Reset: locale, languageId, currencyId
    # - FormError
    # - $Servlet->registerSession($CustomerOrder->get('User'),0 ); ?!
    # - doBasket2Order?
    # - setTransStatus and -Time

    return;
}



#========================================================================================
# function     PaymentCallbackSaferpay2
# state        public
#----------------------------------------------------------------------------------------
# syntax       PaymentCallbackSaferpay2( $Servlet );
#----------------------------------------------------------------------------------------
# description  Server-server callback from payment provider #TODO: Remove when not used!
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | DE_EPAGES::Presentation::Servlet::BasePermission
#========================================================================================
sub PaymentCallbackSaferpay2 {
    my $self = shift;
    my ($Servlet) = @_;

    # compare with other cartridges to find out what is needed here:

    # - Log
    # - FormError
    # - $Servlet->registerSession($CustomerOrder->get('User'),0 ); ?!
    # - doBasket2Order?
    # - setTransStatus and -Time

    $Servlet->params('ContentType', 'text/plain');
    $Servlet->params('ExitAfterEvent', 1);
    $Servlet->writeContentOutput('OK');

    return;
}

1;